Bug 31264 - CalendarFirstDayOfWeek not taken into account when configuring curbside pickups
Summary: CalendarFirstDayOfWeek not taken into account when configuring curbside pickups
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement with 2 votes (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 30650
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-29 14:51 UTC by Jonathan Druart
Modified: 2022-08-05 15:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31264: Curbside pickups - Take CalendarFirstDayOfWeek into account (6.66 KB, patch)
2022-07-31 07:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 31264: Curbside pickups - Take CalendarFirstDayOfWeek into account (6.71 KB, patch)
2022-07-31 20:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31264: Curbside pickups - Take CalendarFirstDayOfWeek into account (6.78 KB, patch)
2022-08-05 10:54 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-07-29 14:51:05 UTC

    
Comment 1 Katrin Fischer 2022-07-30 13:50:23 UTC
In Germany the week usually starts on Monday, so the pull down starting with Sunday is a little irritating and it won't match the calendars and other pages were calendar settings are used.

I think it would be really nice to fix the pull down on the curbside configuration page and also the way the scheduled times are displayed.
Comment 2 Jonathan Druart 2022-07-31 07:28:46 UTC
Created attachment 138404 [details] [review]
Bug 31264: Curbside pickups - Take CalendarFirstDayOfWeek into account

We need to take the pref CalendarFirstDayOfWeek into account to display
the days on the curbside pickups admin page.

Test plan:
Turn on the CurbsidePickup pref
Set CalendarFirstDayOfWeek to Sunday
Go to the curbside pickups admin page, add new slots, and confirm that
Sunday is displayed first.
Try again with CalendarFirstDayOfWeek set to Monday and Saturday.

Sponsored-by: Association KohaLa - https://koha-fr.org/
Comment 3 Katrin Fischer 2022-07-31 20:40:30 UTC
Created attachment 138422 [details] [review]
Bug 31264: Curbside pickups - Take CalendarFirstDayOfWeek into account

We need to take the pref CalendarFirstDayOfWeek into account to display
the days on the curbside pickups admin page.

Test plan:
Turn on the CurbsidePickup pref
Set CalendarFirstDayOfWeek to Sunday
Go to the curbside pickups admin page, add new slots, and confirm that
Sunday is displayed first.
Try again with CalendarFirstDayOfWeek set to Monday and Saturday.

Sponsored-by: Association KohaLa - https://koha-fr.org/

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2022-08-05 10:54:38 UTC
Created attachment 138663 [details] [review]
Bug 31264: Curbside pickups - Take CalendarFirstDayOfWeek into account

We need to take the pref CalendarFirstDayOfWeek into account to display
the days on the curbside pickups admin page.

Test plan:
Turn on the CurbsidePickup pref
Set CalendarFirstDayOfWeek to Sunday
Go to the curbside pickups admin page, add new slots, and confirm that
Sunday is displayed first.
Try again with CalendarFirstDayOfWeek set to Monday and Saturday.

Sponsored-by: Association KohaLa - https://koha-fr.org/

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-08-05 10:55:01 UTC
No regressions and a solid improvement.. Passing QA
Comment 6 Tomás Cohen Arazi 2022-08-05 15:05:49 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!